## Apache Zeta Components Manual :: Docs For Class ezcWebdavMissingTransportConfigurationException

### Webdav::ezcWebdavMissingTransportConfigurationException

### Class ezcWebdavMissingTransportConfigurationException

Exception thrown if no transport configuration could be found to satisfy a configuration.

This exception is thrown by ezcWebdavServerConfigurationManager if it could not find an ezcWebdavServerConfiguration that provides a regex to match the given $userAgent.

This can only occur if the configuration for the basic RFC compliant ezcWebdavTransport has been removed, since this one ussually does a catch-all on all clients that have no special extended transport.

Source for this file: /Webdav/src/exceptions/missing_transport_configuration.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavMissingTransportConfigurationException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $userAgent )` Initializes the exception with the given $userAgent and sets the exception message from it.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( string $userAgent )

Initializes the exception with the given $userAgent and sets the exception message from it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$userAgent` | string | Name of the User-Agent header that lead to the exception.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3